Subject: [Fot] Sad news

From: "K LYNCH" <[email-masked]>
Date: Wed, 6 Mar 2013 09:46:15 -0700

Some of you already know, but we lost Clive Averill last night @ around 9:30
MST. I'm sure the 'Chief Steward' upstairs felt he & his poor family had
suffered quite enough.
Clive was one of the original members of RMVR & campaigned his Silver #33 GT6
for many years, being driven presently by Ashley his daughter.
He was a Navy Vet, devoted Husband, Father, & Grandfather who had a penchant
for Civil War history & took part in re-enactments from time to time.
We will miss his quiet demeanor & knowledge of the marque here in the
Colorado/Rocky Mountain West. God speed my friend ~

Kev Lynch
#6 GT6
RMVR
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive